cURL
curl --request GET \
--url https://api.hubapi.com/cms/v3/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/v3/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/v3/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"domain": "<string>",
"id": "<string>",
"isResolving": true,
"isUsedForBlogPost": true,
"isUsedForEmail": true,
"isUsedForKnowledge": true,
"isUsedForLandingPage": true,
"isUsedForSitePage": true,
"correctCname": "<string>",
"created": "2023-11-07T05:31:56Z",
"isSslEnabled": true,
"isSslOnly": true,
"manuallyMarkedAsResolving": true,
"primaryBlogPost": true,
"primaryEmail": true,
"primaryKnowledge": true,
"primaryLandingPage": true,
"primarySitePage": true,
"secondaryToDomain": "<string>",
"updated": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Domains
Retrieve all domains
GET
/
cms
/
v3
/
domains
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Last modified on March 30, 2026
Was this page helpful?
⌘I